/* -- DO NOT change or move this file -- */
/* The default configurations */
module.exports = {

	/* Default archive file name, saving to project home */
	dest_file: '/assets.zip',

	/* include all files by default, regular expressions are allowed */
	includes: ['.*'],

	/* excluding patterns, regular expressions are allowed, nothing by default */
	excludes: [],

	/* root directory of zip, relative to the specifying folder */
	archive_root: '.',

	/* should the zip container folder be emptied at first time? */
	empty_folder: false,

	/* the minimum size of file that will be zipped */
	min_size: 0,

	/* the maximum number of historical zips */
	max_history_files: 500,

	/* the maximum size of a zip file, will fail if exceeds, default value is 300M */
	max_zip_size: 314572800,

	/* filename mapper. Given the real-world filename and its full path, should return the corresponding filename appeared in archive */
	filenameMapper: function (path) {
		return path;
	},

};
